require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Rubychan" do
  before :each do
    @runner = RubyChan::Runner.new
    @scraper = mock("Scraper").as_null_object
    RubyChan::Scraper.stub!(:new).and_return(@scraper)
    @uri = "http://4chan.org"
  end

  context "#scrape" do

    it "should scrape a URI" do
      @scraper.should_receive(:scrape)
      @runner.scrape(@uri)
    end

    it "should print imagelinks" do
      @imagelinks = "Image Links!"
      @scraper.stub!(:imagelinks).and_return(@imagelinks)
      STDOUT.should_receive(:puts).with(@imagelinks)
      @runner.scrape(@uri)
    end
  end
end
